using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace ChartSynchronization
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl2;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			InitializeControlSettings();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		private void InitializeControlSettings()
		{
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
			this.chartControl1.Palette = ChartColorPalette.Custom ;
			this.chartControl1.Model.ColorModel.CustomColors = color;
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl1.LegendPosition = ChartDock.Top;
			this.chartControl1.HidePartialLabels = true;

			this.chartControl2.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color1 = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
			this.chartControl2.Palette = ChartColorPalette.Custom ;
			this.chartControl2.Model.ColorModel.CustomColors = color1;
			this.chartControl2.Palette = ChartColorPalette.Custom ;

			this.chartControl2.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl2.LegendPosition = ChartDock.Top;
			this.chartControl2.HidePartialLabels = true;




		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.chartControl2 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(292, 30);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Legend.Visible = false;
			this.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Floating;
			this.chartControl1.Location = new System.Drawing.Point(-16, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.ShowLegend = false;
			this.chartControl1.Size = new System.Drawing.Size(344, 424);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "Essential Chart1";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.VisibleRangeChanged += new System.EventHandler(this.chartControl1_VisibleRangeChanged);
			//this.chartControl1.ChartFormatAxisLabel += new Syncfusion.Windows.Forms.Chart.ChartFormatAxisLabelEventHandler(this.chartControl1_ChartFormatAxisLabel);
			// 
			// chartControl2
			// 
			this.chartControl2.Controls.Add(this.chartControl2.Legend);
			// 
			// chartControl2.Legend
			// 
			this.chartControl2.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl2.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl2.Legend.Location = new System.Drawing.Point(292, 30);
			this.chartControl2.Legend.Name = "";
			this.chartControl2.Legend.TabIndex = 3;
			this.chartControl2.Legend.Visible = false;
			this.chartControl2.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Floating;
			this.chartControl2.Location = new System.Drawing.Point(328, 0);
			this.chartControl2.Name = "chartControl2";
			this.chartControl2.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl2.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl2.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl2.ShowLegend = false;
			this.chartControl2.Size = new System.Drawing.Size(304, 424);
			this.chartControl2.TabIndex = 0;
			this.chartControl2.Text = "Essential Chart2";
			this.chartControl2.ToolBar.Location = new System.Drawing.Point(0, 0);
			
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(632, 422);
			this.Controls.Add(this.chartControl2);
			this.Controls.Add(this.chartControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartData1();
			InitializeChartData2();

			this.chartControl1.EnableXZooming=true;
			this.chartControl1.EnableYZooming=true;

			
			this.chartControl1.PrimaryYAxis.Format="##";
			this.chartControl2.PrimaryYAxis.Format="##";
	
		
		}

		protected void InitializeChartData1()
		{
			int numPoints = 10;

			this.chartControl1.Series.Clear();



			ChartSeries series = this.chartControl1.Model.NewSeries("Team 1");
			for(int j = 0; j < numPoints; j++)
			{
				
					series.Points.Add(j+1, j * 12+12);
				
			}
				
			series.Type = ChartSeriesType.Column;
			series.Text = series.Name;

			//Key zooming

			this.chartControl1.ZoomUp = System.Windows.Forms.Keys.Up;
			this.chartControl1.ZoomLeft = System.Windows.Forms.Keys.Left ;
			this.chartControl1.ZoomRight = System.Windows.Forms.Keys.Right ;
			this.chartControl1.ZoomDown = System.Windows.Forms.Keys.Down ;
			this.chartControl1.Series.Add(series);
		}

		protected void InitializeChartData2()
		{
			int numPoints = 10;

			this.chartControl2.Series.Clear();



			ChartSeries series = this.chartControl1.Model.NewSeries("Team 1");
			for(int j = 0; j < numPoints; j++)
			{
				
					series.Points.Add(j+1, j * 12+12);
				
			}
				
			series.Type = ChartSeriesType.Column;
			series.Text = series.Name;

			//Key zooming

			this.chartControl2.ZoomUp = System.Windows.Forms.Keys.Up ;
			this.chartControl2.ZoomLeft = System.Windows.Forms.Keys.Left ;
			this.chartControl2.ZoomRight = System.Windows.Forms.Keys.Right ;
			this.chartControl2.ZoomDown = System.Windows.Forms.Keys.Down ;
			this.chartControl2.Series.Add(series);
		}

		private void chartControl1_VisibleRangeChanged(object sender, System.EventArgs e)
		{

			this.chartControl2.EnableXZooming=true;
			this.chartControl2.EnableYZooming=true;
			
			this.chartControl2.ZoomPositionX=this.chartControl1.ZoomPositionX;
			this.chartControl2.ZoomPositionY=this.chartControl1.ZoomPositionY;
			this.chartControl2.ZoomFactorX=this.chartControl1.ZoomFactorX;
			this.chartControl2.ZoomFactorY=this.chartControl1.ZoomFactorY;


			this.chartControl1.Redraw(true);
			this.chartControl2.Redraw(true);

			
		}	

		
	}
}
